LFR-FSW - Bug #413

R3 *** envoi de TC_LFR_LOAD_KCOEFFICIENTS fait crasher SocExplorer
13/05/2015 11:15 AM - bruno katra

Status: Closed Start date: 13/05/2015
Priority: Urgent Due date:

Assignee: Veronique bouzid % Done: 30%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: ro

Description

Version LfrControlPlugin : 1.1.4

Tout se ferme : ressemble a un seg fault propagé

History

#1 - 13/05/2015 11:19 AM - bruno katra
- Status changed from New to In Progress
- Assignee set to paul leroy

- % Done changed from 0 to 30

Vu avec Paul : bug lié & la version trop ancienne de LfrControPlugin qui ne gére pas des TC de plus de 128 octets. Paul a corrigé le bug dans les
versions suivantes mais si on upgrade le LfrControlPlugin on perd la rétro-compatibilité avec la R2.

Proposition de Paul et Alexis : ils vont faire un patch pour notre version qui corrige juste ce bug.

#2 - 13/05/2015 03:55 PM - bruno katra

- Priority changed from Normal to Urgent

La correction de ce bug est nécessaire pour valider l'interface R3 pour la livraison du 19 mai 2015 au LESIA.

#3 - 03/06/2015 07:36 AM - paul leroy

- Status changed from In Progress to Resolved

Le bug est corrigé. Le PC de validation a été mis a jour (lfrcontrolplugin 3.0.0.0).

#4 - 03/06/2015 07:36 AM - paul leroy

- Assignee changed from paul leroy to bruno katra

#5 - 03/06/2015 04:39 PM - Veronique bouzid

- Status changed from Resolved to Closed

le script /nome/validation/SCRIPT/R3/just_stby and_dump_kcoeff.py
a été rejoue sur I'EM (vhdl 1.1.68) et FSW = 3.0.0.0.

Le probleme est corrigé, Soc ne plante plus
16:15:45.006492,/home/validation/SCRIPT/R3/just_stby_and_dump_kcoeff.py

16:15:52.051412,End(/home/validation/SCRIPT/R3/just_stby_and_dump_kcoeff.py)

py > exit

Les fichiers résultats ( sont rangés dans /home/validation/data/R3/JUST-STBY-DUMP-KCOEFF
#6 - 04/06/2015 10:32 AM - bruno katra

- Status changed from Closed to In Progress

- Assignee changed from bruno katra to paul leroy
L'envoi de la commande était en fait commenté par bruno donc TC_LFR_LOAD_KCOEFFICIENTS n'a pas été envoyé.
Véronique a relancé ce matin la commande et le bug n'est pas résolu : SocExplorer crashe a I'envoi de la TC.

VHDL 1.1.68
FSW 3.0.0.0
Ifrcontrolplugin 3.0.0.0

#7 - 04/06/2015 03:03 PM - paul leroy
- Status changed from In Progress to Resolved

- Assignee changed from paul leroy to Veronique bouzid

Bug identifié. Une double correction était nécessaire: Ifrcontrolplugin (modification déja packagée) et spwplugin (modification directe sur la machine
de test et recompilation a partir des sources).

#8 - 05/06/2015 02:49 PM - Veronique bouzid

- Status changed from Resolved to Closed

Bug identifié par Paul, la modif n'avait pas été faite dans le SpwPlugin, donc mise a jour de I'environnement de test.
Recompilation dans le répertoire Documents/SocExplorerPlugins/spwplugin apres application d'un patch.
maintenant on est dans

SocExplorerEngine.getSocExplorer: Version = 0.6.2, Branch = default, Changeset = 819d0376d481

16:26:10.513309, TC_LFR_LOAD_KCOEFFICIENTS
16:26:10.531476, TM_LFR_TC_EXE_SUCCESS, TIME=0x80000011aeed
16:26:11.043887, TM_LFR_HK, TIME=0x8000001231ed

16:26:11.53175, TC_LFR_DUMP_KCOEFFICIENTS

16:26:11.55958, TM_LFR_KCOEFFICIENTS_DUMP, TIME=0x80000012b16e
16:26:11.576475, TM_LFR_KCOEFFICIENTS_DUMP, TIME=0x80000012b182
16:26:11.578999, TM_LFR_TC_EXE_SUCCESS, TIME=0x80000012b186

les fichiers de logs (2015_06_04-16_26_13*.txt) se trouvent dans /home/validation/data/R3/TEST-UNITAIRES/load_kcoeff.
